Переполнение буфера в GNU findutils

Дата публикации:
04.06.2007
Всего просмотров:
1440
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GNU findutils 4.x
Уязвимые версии: GNU findutils версии до 4.2.31.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при обработке старого стиля форматирования баз данных locate. Злоумышленник может с помощью специально сформированный базы данных locate, содержащей слишком длинный путь (более 1026 байт), вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: www.gnu.org/software/findutils/

Решение: Установите последнюю версию 4.2.31 с сайта производителя.

ftp://ftp.gnu.org/gnu/findutils/findutils-4.2.31.tar.gz

или введите имя

CAPTCHA